org.apache.cassandra.index.internal.keys

## Class KeysSearcher

- java.lang.Object
- - org.apache.cassandra.index.internal.CassandraIndexSearcher
  - - org.apache.cassandra.index.internal.keys.KeysSearcher

- All Implemented Interfaces:
    Index.Searcher

      public class KeysSearcher
      extends CassandraIndexSearcher

- - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.index.internal.CassandraIndexSearcher

      `command, index`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeysSearcher(ReadCommand command, RowFilter.Expression expression, CassandraIndex indexer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected UnfilteredPartitionIterator` | `queryDataFromIndex(DecoratedKey indexKey, RowIterator indexHits, ReadCommand command, ReadExecutionController executionController)`

    - ### Methods inherited from class org.apache.cassandra.index.internal.CassandraIndexSearcher

      `makeIndexClustering, search`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeysSearcher

          public KeysSearcher(ReadCommand command,
                              RowFilter.Expression expression,
                              CassandraIndex indexer)

  - ### Method Detail

    - #### queryDataFromIndex

          protected UnfilteredPartitionIterator queryDataFromIndex(DecoratedKey indexKey,
                                                                   RowIterator indexHits,
                                                                   ReadCommand command,
                                                                   ReadExecutionController executionController)

      Specified by:
        `queryDataFromIndex` in class `CassandraIndexSearcher`

Copyright © 2018 The Apache Software Foundation